var gHighscoresButton;
var gDoneButton;
var gInfoButton;
 
function setup() {
    gHighscoresButton = new AppleGlassButton(document.getElementById("highscoresButton"), " Show Highscores ", openHighscoresPage);
    gDoneButton       = new AppleGlassButton(document.getElementById("doneButton"), " Back to game ", hidePrefs);
    
    gInfoButton = new AppleInfoButton(document.getElementById("infoButton"), document.getElementById("front"), "white", "white", showPrefs);
}

function infoButtonMouseOver() {
    gInfoButton._frontMove();
}

function showPrefs() {
    var front = document.getElementById("front");
    var back  = document.getElementById("back");
 
    if (window.widget) {
        widget.prepareForTransition("ToBack");
    }
 
    front.style.display = "none";
    back.style.display  = "block";
 
    if (window.widget) {
        setTimeout('widget.performTransition();', 0);  
    }
}

function hidePrefs() {
    var front = document.getElementById("front");
    var back  = document.getElementById("back");
 
    if (window.widget) {
        widget.prepareForTransition("ToFront");
    }
 
    back.style.display  = "none";
    front.style.display = "block";
 
    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
}

function openRastaduckPage() {
    openUrl('http://www.rastaduck.org');
}

function openHighscoresPage() {
    openUrl('http://www.rastaduck.org/games/highscores/htmlengine.php?action=get_all_of_level&level=1&game=bubblebazinga&language=en');
}

function openPaypalDonatePage() {
    openUrl('https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=3368034');
}

function openUrl(url) {
    if (window.widget) {
        widget.openURL(url);
    } else {
        document.location.href = url;
    }
}